# Product cards

It is possible to clear or add additional product cards to the video. Event detail video action `update` provides `videoFactory` which can be used to build a new video object to replace current video.

More about [product factory](/firework-for-developers/web/integration-guide/shopping-integration-v2/product-factory.md) and [custom events](/firework-for-developers/web/integration-guide/events/video-player-events.md).

Example:

```javascript
document.addEventListener('fw:video:impression', function (event) {
  event.detail.actions.video.update(({ videoFactory }) =>
    videoFactory((videoBuilder) =>
      videoBuilder
        .clearProducts()
        .product(productBuilder => 
          productBuilder
            .name('A Warm Hat')
            .url(/* ... */)
            // ... see more about product factory, follow the link above
        )
        .product(/* ... */)
    )
  )
})
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.firework.com/firework-for-developers/web/integration-guide/video-customization/cta-button-configuration-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
